/**
 * Superclass para distintas implementaciones de algoritmos de busqueda.
 * @author Nelson Lopez C., Jaime Stockle O.
 */
public abstract class Buscador {
    /**
     * Busca el objeto obj en el arreglo A
     * @param A Arreglo donde se realiza la busqueda
     * @param obj Objeto que se busca
     * @return indice donde se encuentra el objeto, -1 si no se encuentra el objeto.
     */
    public abstract int buscar(Object [] A, Object obj);
    /**
     * Obtiene el numero de comparaciones realizadas en la ultima invocacion a buscar.
     * @return numero de comparaciones.
     */
    public abstract int getNumComparaciones();
}
